Module jdk.jartool
Package com.sun.jarsigner

# Interface ContentSignerParameters

    @Deprecated(since="9")
    public interface ContentSignerParameters

Deprecated.
This class has been deprecated.
This interface encapsulates the parameters for a ContentSigner object.

Since:
  1.5

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String[]` | `getCommandLine()` | Deprecated. Retrieves the command-line arguments passed to the jarsigner tool.
`byte[]` | `getContent()` | Deprecated. Retrieves the content that was signed.
`byte[]` | `getSignature()` | Deprecated. Retrieves the JAR file's signature.
`String` | `getSignatureAlgorithm()` | Deprecated. Retrieves the name of the signature algorithm.
`X509Certificate[]` | `getSignerCertificateChain()` | Deprecated. Retrieves the signer's X.509 certificate chain.
`ZipFile` | `getSource()` | Deprecated. Retrieves the original source ZIP file before it was signed.
`URI` | `getTimestampingAuthority()` | Deprecated. Retrieves the identifier for a Timestamping Authority (TSA).
`X509Certificate` | `getTimestampingAuthorityCertificate()` | Deprecated. Retrieves the certificate for a Timestamping Authority (TSA).
`default String` | `getTSADigestAlg()` | Deprecated. Retreives the message digest algorithm that is used to generate the message imprint to be sent to the TSA server.
`default String` | `getTSAPolicyID()` | Deprecated. Retrieves the TSAPolicyID for a Timestamping Authority (TSA).

## Method Details

### getCommandLine

String[] getCommandLine()
Deprecated.
Retrieves the command-line arguments passed to the jarsigner tool.

Returns:
  The command-line arguments. May be null.

### getTimestampingAuthority

URI getTimestampingAuthority()
Deprecated.
Retrieves the identifier for a Timestamping Authority (TSA).

Returns:
  The TSA identifier. May be null.

### getTimestampingAuthorityCertificate

X509Certificate getTimestampingAuthorityCertificate()
Deprecated.
Retrieves the certificate for a Timestamping Authority (TSA).

Returns:
  The TSA certificate. May be null.

### getTSAPolicyID

default String getTSAPolicyID()
Deprecated.
Retrieves the TSAPolicyID for a Timestamping Authority (TSA).

Returns:
  The TSAPolicyID. May be null.

### getTSADigestAlg

default String getTSADigestAlg()
Deprecated.
Retreives the message digest algorithm that is used to generate the message imprint to be sent to the TSA server.

Returns:
  The non-null string of the message digest algorithm name.
Since:
  9

### getSignature

byte[] getSignature()
Deprecated.
Retrieves the JAR file's signature.

Returns:
  The non-null array of signature bytes.

### getSignatureAlgorithm

String getSignatureAlgorithm()
Deprecated.
Retrieves the name of the signature algorithm.

Returns:
  The non-null string name of the signature algorithm.

### getSignerCertificateChain

X509Certificate[] getSignerCertificateChain()
Deprecated.
Retrieves the signer's X.509 certificate chain.

Returns:
  The non-null array of X.509 public-key certificates.

### getContent

byte[] getContent()
Deprecated.
Retrieves the content that was signed. The content is the JAR file's signature file.

Returns:
  The content bytes. May be null.

### getSource

ZipFile getSource()
Deprecated.
Retrieves the original source ZIP file before it was signed.

Returns:
  The original ZIP file. May be null.